Bug 1653796 - widget description in the page title
Summary: widget description in the page title
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.6
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Yuri Rudman
QA Contact: Jaroslav Henner
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 16:25 UTC by Jaroslav Henner
Modified: 2019-02-07 23:04 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:59 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
good report's title (118.09 KB, image/png)
2018-11-27 19:42 UTC, Yuri Rudman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:04 UTC

Description Jaroslav Henner 2018-11-27 16:25:47 UTC
Description of problem:
On the widget editation page, there is a page title "Editing Widget..." which contains Description (i believe) instead of the Title.

Version-Release number of selected component (if applicable):
5.9.6.2.20181119175512_3a18916

How reproducible:
2/2

Steps to Reproduce:
1. Go to $CFME_IP/report/explorer
2. Select All Widgets -> Reports -> Some report
3. See the page title.

Actual results:
Description in the page title


Expected results:
Title in the page title

Additional info:

Comment 2 Yuri Rudman 2018-11-27 19:41:41 UTC
Jaroslav, I am not sure how to find report with switched title/description, could you provide more detailed steps and screenshot of report/page which looks wrong.

in Cloud Intel -> All Reports -> All Widgets -> Reports -> any report 
title and description looks correct to me (in attached screenshot) or I am missing something ?

Comment 3 Yuri Rudman 2018-11-27 19:42:34 UTC
Created attachment 1509151 [details]
good report's title

Comment 4 Jaroslav Henner 2018-11-28 12:55:02 UTC
(In reply to Yuri Rudman from comment #3)
> Created attachment 1509151 [details]
> good report's title

Sorry. The problem is on the editing page.

Comment 6 CFME Bot 2018-11-29 07:46:36 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/aafa7a872171ec8b7a6cd181ae27cb204d84f0ec
commit aafa7a872171ec8b7a6cd181ae27cb204d84f0ec
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Wed Nov 28 09:46:26 2018 -0500
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Wed Nov 28 09:46:26 2018 -0500

    fixed page title when editing widget
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1653796

 app/controllers/report_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 CFME Bot 2018-12-03 15:22:50 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/532acc4f44c0a429f8338671adf0cd1e3c85a511
commit 532acc4f44c0a429f8338671adf0cd1e3c85a511
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Nov 29 02:45:11 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Thu Nov 29 02:45:11 2018 -0500

    Merge pull request #5005 from yrudman/show-widget-title-as-page-title-when-editing-widget

    Show widget's title as page title when editing widget

    (cherry picked from commit 0ae6298abbe7ae8dcf21cf9cfe1149761070333a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1653796

 app/controllers/report_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 errata-xmlrpc 2019-02-07 23:03:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.